Bug 823855 - Accessing a finished process instance - Delete and Diagram behavior
Accessing a finished process instance - Delete and Diagram behavior
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: BRMS 5.3.1 GA
Assigned To: Maciej Swiderski
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 06:17 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Accessing a completed process instance in the business central console, resulted in inconsistent information being displayed to the user. This has been resolved by ensuring that when a completed process instances is accessed, the view is refreshed to include up to date information.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2012-05-22 06:17:05 EDT
Description of problem:

When trying to delete an already finished process instance the user gets this message:
"Warning
Illegal transition current ENDED next ENDED"
This is inconsistent with the way Terminate and Instance details are handled.

Further more for such a process instance, the diagram is viewable (that's kind of nice), but the marker is still on the last node(s) before the end node. That is misleading. If it can't be updated to point to the end node, trying to view the diagram should result in the warning message, "Could not find process instance <id>", too (which would be better thatn showing an updated diagram as it would be, again, more consistent with the rest).


Version-Release number of selected component (if applicable):
BRMS 5.3 ER7



Additional info:
This is a follow-up of bug 781626.
Comment 1 Maciej Swiderski 2012-05-22 13:48:53 EDT
Fix commited into master for jbpm-console, commit reference https://github.com/bpmc/bpm-console/commit/cb6c9f6f57a18c5b728167e7a1809ea029a9448a
Comment 3 Lukáš Petrovický 2012-08-27 02:47:17 EDT
Since we do have a fix for this one, please backport to the product branch.
Comment 4 Maciej Swiderski 2012-08-27 05:24:25 EDT
backported to 2.3.x branch of console
Comment 5 Zuzana Krejčová 2012-09-13 05:42:44 EDT
Well it certainly is better, though I would advise a bit more work. We have some time, so I will be putting this back on ASSIGNED.

Clicking Diagram now shows the diagram a bit greyed out (marker still on the same node) and an Info message that "Process is already completed".

Instance Data show a Status Information message that it "Could not find process instance <number>" and logs 
ERROR [ProcessMgmtFacade] Error when getting instance data
java.lang.IllegalArgumentException: Could not find process instance <number>
to the server.log - not breaking anything it seems.
 
Trying to Delete or Terminate the finished process instance both gave me 2 results, and I'm still not sure what makes the one or the other appear when it does.
Either I get a Status Information message that it "Could not find process instance <number>". It also logs 
ERROR [ProcessMgmtFacade] Error when getting ending of process instance
java.lang.IllegalArgumentException: Could not find process instance <number>
to the server.log - not breaking anything it seems. Or I get an Info message that "Process is already completed". It always gives me one of these two, but not always the same one for the same action (Delete/Terminate).

I will try to find out a bit more on that. Could you, please, try to make the behaviour more consistent?
Comment 6 Maciej Swiderski 2012-09-14 11:16:31 EDT
Inconsistency was caused by process instance list was not refreshed after first message that process instance does not exist any more (was already completed). Now whatever button (delete, terminate, diagram, instance data) is clicked and selected process instance does not exist instances list is reloaded.

Moreover diagram and instance data window will only appear for active process instances.

merged into 2.3.x and master
Comment 7 Zuzana Krejčová 2012-10-16 09:04:38 EDT
I'd say this is already good enough, thanks Maciej. 
Now, when clicking the Diagram button, I get the message "Process is already completed" and no diagram. The rest (Instance data, Terminate, Delete) give the "Could not find process instance <number>" message. The previous inconsistency is gone.
Comment 8 lcarlon 2012-10-21 23:28:08 EDT
Doc text edited for inclusion in the release notes. Thanks for providing the text, Maciej.

- Lee

Note You need to log in before you can comment on or make changes to this bug.